<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{::link}, ~{::page}, ~{::script})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
<link rel="stylesheet" type="text/css" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CALENDAR_CSS}}"></link>
</head>
<body>
  <div class="ui main container" th:fragment="page" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_ABSENCES_READ)">
    <h2 class="ui header">
      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_ABSENCES}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
      <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ABSENCES}}"></span>
    </h2>
    <br />
    <div  id="absences-list" th:fragment="absences-list">
      <div class="ui five stackable cards" th:if="${not #lists.isEmpty(absences)}">
        <th:block th:each="item, stat : ${absences}">
          <div class="ui card" th:replace="common/fragments/elements :: absence(item = ${item})"></div>
        </th:block>
      </div>
    </div>
    <br />
    <div th:replace="common/fragments/modal :: modal(medium, '')"></div>
    <div th:replace="common/fragments/modal-confirmation :: modal-confirmation"></div>
    <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_ABSENCES_CREATE)" th:replace="common/fragments/form :: actionbuttonsOnClick(icon1 = null,
                                                               icon1text = null,
                                                               icon1url = null,
                                                               icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW},
                                                               icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW},
                                                               icon2function = 'createAbsence();'
                                                               )" />
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CALENDAR_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_ABSENCES_JS}}"></script>
  <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/jquery-validation@1.19.1/dist/jquery.validate.min.js"></script>
</body>
</html>
